Package Details: aldo 0.7.7-2

Git Clone URL: https://aur.archlinux.org/aldo.git (read-only)
Package Base: aldo
Description: Morse code tutor with a random number generator & skill level testing
Upstream URL: http://aldo.nongnu.org/
Licenses: GPL
Submitter: Allan
Maintainer: not_anonymous
Last Packager: not_anonymous
Votes: 8
Popularity: 0.419397
First Submitted: 2008-12-19 03:34
Last Updated: 2015-07-05 23:55

Required by (0)

Sources (4)

Latest Comments

not_anonymous commented on 2014-11-16 16:08

here's a diff for a new PKGBUILD (and the new aldo.install file):

(diff -Nar -U 0 PKGBUILD.org PKGBUILD)

--- PKGBUILD.org 1970-01-01 02:13:08.000000000 -0700
+++ PKGBUILD 2014-11-16 08:57:52.346584739 -0700
@@ -4,2 +4,2 @@
-pkgver=0.7.6
-pkgrel=2
+pkgver=0.7.7
+pkgrel=1
@@ -10,2 +10,5 @@
-depends=('gcc-libs' 'libao')
-source=(http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.bz2 $pkgname.desktop)
+depends=('libao' 'desktop-file-utils')
+install=$pkgname.install
+source=(http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.bz2
+ $pkgname.install
+ $pkgname.desktop)
@@ -13,0 +17,6 @@
+ cd $srcdir/$pkgname-$pkgver
+
+ ./configure --prefix=/usr
+ make || return 1
+}
+package() {
@@ -19,2 +27,0 @@
- ./configure --prefix=/usr
- make || return 1
@@ -26 +33,2 @@
-md5sums=('c870b62fe50f71eb6c7ddcd5d666d2e2'
+md5sums=('7baefd992953a0f4c56085af835495b1'
+ 'f7e1e2722c972f3420cfd69492c79073'
@@ -28 +36,2 @@
-sha256sums=('738e06280ce082eb78a84dc57837ec5fe2e9e1ee811eac62eab71b99ff9f7484'
+sha256sums=('f1b8849d09267fff3c1f5122097d90fec261291f51b1e075f37fad8f1b7d9f92'
+ 'f703f8de14eb277dc72cc837086fbd55f5d772049a44200686c8ae76348f6614'


and the new install file:

(cat aldo.install)

post_install() {
update-desktop-database -q
}

post_upgrade() {
post_install $1
}

post_remove() {
post_install $1
}